Returns the events for the specified environment.
GET
/
environments
/
{environmentId}
/
events
Get environment events
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/environments/{environmentId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/environments/{environmentId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cursor": "<string>",
"data": [
{
"eventId": "95b11417-f18f-457f-8804-68e361f9164f",
"environmentId": "95b11417-f18f-457f-8804-68e361f9164f",
"eventName": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"data": {},
"context": {
"userId": "<string>",
"version": "<string>"
},
"eventAction": "<string>",
"resourceType": "<string>"
}
]
}{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Query Parameters
Cursor for pagination
Resource type of event
Start date of the event query
End date of the event query
Last modified on January 21, 2026
Was this page helpful?
⌘I
Get environment events
